package com.bytesw.bytebot.controller;

import com.bytesw.bytebot.dto.BookingAgentDto;
import com.bytesw.bytebot.dto.DataPage;
import com.bytesw.bytebot.service.BookingAgentService;
import com.bytesw.xdf.controller.BasicXDFController;
import com.bytesw.xdf.service.XDFService;
import com.bytesw.xdf.sql.beans.Pagination;
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/service/agent")
public class BookingAgentController extends BasicXDFController<BookingAgentDto, Long> {


    @Autowired
    private BookingAgentService agentService;

    @Autowired
    private GsonBuilder gsonBuilder;

    public BookingAgentController(BookingAgentService bookingAgentService) {
        super(bookingAgentService);
    }

    public ResponseEntity<String> findAllByPagination(@RequestBody Pagination<BookingAgentDto> pagination) {
        Gson gson = gsonBuilder.create();
        DataPage<BookingAgentDto> value = new DataPage<>();
        value.setData(agentService.getAll());
        return new ResponseEntity(value, HttpStatus.OK);
    }
}
