package com.bytesw.bytebot.controller;

import com.bytesw.bytebot.dto.DataPage;
import com.bytesw.bytebot.dto.FlightDto;
import com.bytesw.bytebot.service.AirportService;
import com.bytesw.bytebot.service.FlightService;
import com.bytesw.xdf.controller.XDFController;
import com.bytesw.xdf.service.XDFService;
import com.bytesw.xdf.sql.beans.Pagination;
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/service/flight")
public class FlightController extends XDFController<FlightDto, Long> {

    @Autowired
    private FlightService flightService;

    @Autowired
    private AirportService airportService;

    @Autowired
    private GsonBuilder gsonBuilder;

    public FlightController(FlightService flightService) {
        super(flightService);
    }


    public ResponseEntity<String> findAllByPagination(@RequestBody Pagination<FlightDto> pagination) {
        Gson gson = gsonBuilder.create();
        DataPage<FlightDto> value = new DataPage<>();
        value.setData(flightService.getAll());
        return new ResponseEntity(value, HttpStatus.OK);
    }

    public ResponseEntity<String> findAll(HttpServletRequest req) {
        return new ResponseEntity(this.flightService.getAll(), HttpStatus.OK);
    }

    public ResponseEntity<String> findOne(@PathVariable("id") Long id, HttpServletRequest req) {
        return new ResponseEntity(this.flightService.getById(id), HttpStatus.OK);
    }
}
