package com.bytesw.bytebot.controller;

import com.bytesw.bytebot.dto.DataPage;
import com.bytesw.bytebot.dto.PassengerDto;
import com.bytesw.bytebot.service.PassengerService;
import com.bytesw.xdf.controller.BasicXDFController;
import com.bytesw.xdf.sql.beans.Pagination;
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/service/passenger")
public class PassengerController extends BasicXDFController<PassengerDto, Long> {


    @Autowired
    private PassengerService passengerService;

    @Autowired
    private GsonBuilder gsonBuilder;

    public PassengerController(PassengerService passengerService) {
        super(passengerService);
    }

    public ResponseEntity<String> findAllByPagination(@RequestBody Pagination<PassengerDto> pagination) {
        Gson gson = gsonBuilder.create();
        DataPage<PassengerDto> value = new DataPage<>();
        value.setData(passengerService.getAll());
        return new ResponseEntity(value, HttpStatus.OK);
    }

    public ResponseEntity<String> findAll(HttpServletRequest req) {
        return new ResponseEntity(this.passengerService.getAll(), HttpStatus.OK);
    }
}
