package com.bytesw.bytebot.service;

import com.bytesw.bytebot.dto.AirportDto;
import com.bytesw.bytebot.model.Airport;
import com.bytesw.bytebot.repository.IAirportRepository;
import com.bytesw.xdf.service.XDFService;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


@Service
@Transactional
public class AirportService extends XDFService<Airport, AirportDto, Long> {
    protected AirportService(IAirportRepository airportRepository) {
        super(airportRepository);
    }

    @Override
    protected Airport toModel(Airport airport, AirportDto airportDto) {
        if(airport == null) {
            airport = new Airport();
        }
        BeanUtils.copyProperties(airportDto, airport);
        return airport;
    }

    @Override
    protected AirportDto toBean(Airport airport) {
        AirportDto airportDto = new AirportDto();
        BeanUtils.copyProperties(airport, airportDto);
        return airportDto;
    }
}
