package com.bytesw.bytebot.service;

import com.bytesw.bytebot.dto.BookingAgentDto;
import com.bytesw.bytebot.model.BookingAgent;
import com.bytesw.bytebot.repository.IBookingAgentRepository;
import com.bytesw.xdf.service.XDFService;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public class BookingAgentService extends XDFService<BookingAgent, BookingAgentDto, Long> {
    protected BookingAgentService( IBookingAgentRepository bookingAgentRepository) {
        super(bookingAgentRepository);
    }

    @Override
    protected BookingAgent toModel(BookingAgent bookingAgent, BookingAgentDto bookingAgentDto) {
        if (bookingAgent == null) {
            bookingAgent = new BookingAgent();
        }
        BeanUtils.copyProperties(bookingAgentDto, bookingAgent);
        return bookingAgent;
    }

    @Override
    protected BookingAgentDto toBean(BookingAgent bookingAgent) {
        BookingAgentDto bookingAgentDto = new BookingAgentDto();
        BeanUtils.copyProperties(bookingAgent, bookingAgentDto);
        return bookingAgentDto;
    }
}
