package com.bytesw.bytebot.service;

import com.bytesw.bytebot.dto.PaymentDto;
import com.bytesw.bytebot.model.Payment;
import com.bytesw.bytebot.repository.IPaymentRepository;
import com.bytesw.xdf.service.XDFService;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public class PaymentService extends XDFService<Payment, PaymentDto, Long> {


    protected PaymentService(IPaymentRepository paymentRepository) {
        super(paymentRepository);
    }

    @Override
    protected Payment toModel(Payment payment, PaymentDto paymentDto) {
        if(payment == null) {
            payment = new Payment();
        }

        BeanUtils.copyProperties(paymentDto, payment);

        return payment;
    }

    @Override
    protected PaymentDto toBean(Payment payment) {
        PaymentDto paymentDto = new PaymentDto();
        BeanUtils.copyProperties(payment, paymentDto);
        return paymentDto;
    }
}
